import React, { Dispatch, SetStateAction, useState } from "react";
import SvgMultiply from "../../icons/Multiply";
import { Conversation } from "../../models/Conversation";
import { SIDEBAR_STATE_ACTIVE, SIDEBAR_STATE_ARCHIVE } from "../../utils/constants";
import { ConversationCard } from "../ConversationCard/ConversationCard";

interface Props {
  conversations: Array<Conversation>,
  sidebarPartVisible: string,
  setSidebarPartVisible: Dispatch<SetStateAction<string>>
}

export const ArchivedChatList: React.FC<Props> = ({ sidebarPartVisible, setSidebarPartVisible, conversations }) => {

  return (
    <div className={`sec__sidebar ${sidebarPartVisible === SIDEBAR_STATE_ARCHIVE ? 'revealed' : ''}`}>
      <div className="sec__sidebar_header icon__text">
        <button className="icon__btn" onClick={() => setSidebarPartVisible(SIDEBAR_STATE_ACTIVE)}>
          <SvgMultiply />
        </button>
        <div className="text">Archived Messages</div>
      </div>
      
      <div className="robin__archived_chats chat__list">
        { conversations?.map(conversation => <ConversationCard key={conversation._id} conversation={conversation} />) }
      </div>
    </div>
  )
}