import React, { useContext } from 'react'
import { RobinChatContext } from '../../context/RobinChatContext'
import { Conversation } from '../../models/Conversation'
import { getConversationName, getUserInitials } from '../../utils/functions'

interface Props {
  conversation: Conversation | undefined
}

export const ChatAvatar: React.FC<Props> = ({ conversation }) => {
  const {state} = useContext(RobinChatContext)
  return (
    <button className={`profile__btn ${conversation?.group_icon ? 'with__image' : `with__text`}`} style={{ backgroundImage: `url(${conversation?.group_icon})` }}>
      {getUserInitials(conversation, state )}
    </button>
  )
}