import React from "react";
import SvgMarkArchive from "../../icons/MarkArchive";
import SvgMarkDelete from "../../icons/MarkDelete";
import SvgMarkMute from "../../icons/MarkMute";
import SvgMarkRead from "../../icons/MarkRead";

interface Props {
  setMenuVisible: (visible: boolean) => void,
  animClass: string
}

export const ConversationMenu: React.FC<Props> = ({ setMenuVisible, animClass }) => {
  return (
    <div className={`chat__card_menu ${animClass}`}>
      <button className="chat__card_action spaced_icon__text" onClick={() => setMenuVisible(false)}>
        <span className="text">
          Mark As Read
        </span>
        <SvgMarkRead />
      </button>
      <button className="chat__card_action spaced_icon__text" onClick={() => setMenuVisible(false)}>
        <span className="text">
          Archive Chat
        </span>
        <SvgMarkArchive />
      </button>
      <button className="chat__card_action spaced_icon__text">
        <span className="text">
          Mute Notifications
        </span>
        <SvgMarkMute />
      </button>
      <button className="chat__card_action spaced_icon__text">
        <span className="text red">
          Delete Chat
        </span>
        <SvgMarkDelete />
      </button>
    </div>
  )
}
