import React from "react"
import {Download} from "../../icons"
import {Message} from "../../utils/messages-data";
import {getFilename, getFileType} from "../../utils/functions";
import {AUDIO_FILE_TYPES, FILE_TYPES, PREVIEWABLE_FILE_TYPES} from "../../utils/constants";

interface Props {
  message: Message
}

export const DocumentMsg: React.FC<Props> = ({ message }) => {
  const filename = message?.content?.attachment ? getFilename(message?.content?.attachment) : ''
  const fileType = FILE_TYPES.includes(getFileType(filename)) ? getFileType(filename) : 'DOC'

  const image = !PREVIEWABLE_FILE_TYPES.includes(fileType) ? require(`../../assets/images/${fileType.toUpperCase()}.png`) : null

  return ((message.content?.is_attachment && !PREVIEWABLE_FILE_TYPES.includes(fileType) && !AUDIO_FILE_TYPES.includes(fileType)) ?
    <div className="messages__document_ctn">
      <div className="doc_info">
        <div className="doc_type" style={{ backgroundImage: `url(${image})` }} />
        <div className="doc__info_texts">
          <div className="doc_name">
            { filename }
          </div>
          <div className="doc_size">
            ***missing size
          </div>
        </div>
      </div>
      <button className="icon__btn media_download">
        <Download />
      </button>
    </div>
      : <React.Fragment />
  )
}
