import React from "react"
import {Download} from "../../icons"
import {Message} from "../../utils/messages-data";
import {getFilename, getFileType} from "../../utils/functions";
import {FILE_TYPES, PREVIEWABLE_FILE_TYPES} from "../../utils/constants";

interface Props {
  message: Message
}

export const ImageMsg: React.FC<Props> = ({ message }) => {
  const filename = message?.content?.attachment ? getFilename(message?.content?.attachment) : ''
  const fileType = FILE_TYPES.includes(getFileType(filename)) ? getFileType(filename) : 'DOC'

  return ((message.content?.is_attachment && PREVIEWABLE_FILE_TYPES.includes(fileType)) ?
    <div className="messages__image_ctn">
      <div className="message_image" style={{ backgroundImage: `url(${message?.content?.attachment})` }}>

      </div>
    </div>
      : <React.Fragment />
  )
}
