import React, {useEffect, useState} from "react"
import {SiteMetadata} from "../../utils/messages-data";

interface Props {
  metaData: SiteMetadata
}

export const LinkPreviewMsg: React.FC<Props> = ({ metaData }) => {

  return (
    <a target="_blank" href={metaData.site_name} className="msg_link">
      {metaData.image && <div className="link_image" style={{backgroundImage: `url(${metaData.image})`}}></div>}
      <div className="link_meta">
        <div className="link_title">
          {metaData.title}
        </div>
        <div className="link_desc">
          {metaData.description}
        </div>
      </div>
    </a>
  )
}
