import React from "react";
import SvgMarkDelete from "../../icons/MarkDelete";
import SvgMsgForward from "../../icons/MsgForward";
import SvgMsgReply from "../../icons/MsgReply";
import SvgMsgSelect from "../../icons/MsgSelect";
import SvgMsgStar from "../../icons/MsgStar";

interface Props {
  setMenuVisible: (visible: boolean) => void,
  animClass: string
}

export const MessageMenu: React.FC<Props> = ({ setMenuVisible, animClass }) => {
  return (
    <div className={`chat__card_menu ${animClass}`} onFocus={() => setMenuVisible(true)}>
      <button className="chat__card_action spaced_icon__text">
        <span className="text">
          Reply Message
        </span>
        <SvgMsgReply />
      </button>
      <button className="chat__card_action spaced_icon__text">
        <span className="text">
          Forward
        </span>
        <SvgMsgForward />
      </button>
      <button className="chat__card_action spaced_icon__text">
        <span className="text">
          Select Message
        </span>
        <SvgMsgSelect />
      </button>
      <button className="chat__card_action spaced_icon__text">
        <span className="text">
          Star
        </span>
        <SvgMsgStar />
      </button>
      <button className="chat__card_action spaced_icon__text">
        <span className="text red">
          Delete Message
        </span>
        <SvgMarkDelete />
      </button>
    </div>
  )
}