import React from "react"
import {Message} from "../../utils/messages-data";
import {MessageBubble} from "../MessageBubble/MessageBubble";
import {MsgTimestampHeader} from "../MsgTimestampHeader/MsgTimestampHeader";

interface Props {
  date: string,
  messages: Array<Message>,
  allMessages: Array<Message>,
  isGroup: boolean | undefined
}

export const MessagesListByDate: React.FC<Props> = ({ date, messages, allMessages,  isGroup }) => {
  return (
    <div className="messages__date_ctn">
      {date && <MsgTimestampHeader date={date}/>}
      {messages && messages.map((msg, index) => <MessageBubble previousMsg={messages[index-1]} allMessages={allMessages} msg={msg} isGroup={isGroup}/>)}
    </div>
  )
}
