import React, {useContext} from "react";
import {Message} from "../../utils/messages-data";
import {RobinChatContext} from "../../context/RobinChatContext";

interface Props {
  msg: Message
}

export const MsgReaction: React.FC<Props> = ({ msg }) => {
  const {state} = useContext(RobinChatContext)
  const robin = state?.robin
  const conversation = state?.activeChat
  const userToken = state?.userToken

  const reactToMessage = (reaction: string) => {    
    if (conversation && state && msg._id && userToken) {
      robin?.reactToMessage(reaction, conversation._id, msg._id, userToken)
    } else {
      throw Error ('An Error or undefined error occured in conversation | state | msg._id | userToken')
    }
  }

  return (
    <div className="msg__reactions">
      <button className="icon__btn red" onClick={() => reactToMessage('⁉️')}>
        ⁉️
      </button>
      <button className="icon__btn" onClick={() => reactToMessage('😂')}>
        😂
      </button>
      <button className="icon__btn" onClick={() => reactToMessage('❤️')}>
        ❤️
      </button>
      <button className="icon__btn" onClick={() => reactToMessage('👍')}>
        👍
      </button>
      <button className="icon__btn" onClick={() => reactToMessage('👎')}>
        👎
      </button>
      {/* <div className="white__absolute_box"></div> */}
    </div>
  )
}
