import React from "react";
import { Checkbox } from "../../icons/Checkbox";
import { User } from "../../utils/users-data";
  
interface Props {
  user: User,
  selectedParticipants: Array<string>
  addSelectedParticipant: (participantId: string) => void
}

export const ParticipantCard: React.FC<Props> = ({ user, selectedParticipants, addSelectedParticipant }) => {

  return (
    <div className="robin__chat_card__ctn">
      {/* PEOPLE CARD MAIN CONTENT */}
      <div className="robin__chat_card" onClick={() => { addSelectedParticipant(user._id) }}>
        <div className="chat__user_msg icon__text">
          <button className="profile__btn" style={{  }} />
          <div className="user__name_msg text">
            <div className="name">
              { user.fullname }
            </div>
          </div>
        </div>
        <div className="chat__timeline">
          <Checkbox value={selectedParticipants.includes(user._id)} />
        </div>
      </div>
    </div>
  )
}