import React, {  } from "react";
import { User } from "../../utils/users-data";
import { ParticipantCard } from "../ParticipantCard/ParticipantCard";


interface Props {
  letter: string,
  users: Array<User> | undefined,
  selectedParticipants: Array<string>
  addSelectedParticipant: (participantId: string) => void
}

export const ParticipantsbyInitial: React.FC<Props> = ({ letter, users, selectedParticipants, addSelectedParticipant }) => {

  return (
    users?.length ? <div className={`users_initial`}>
      <button className="letter__header">
        {letter}
      </button>
      <div className="people__list">
        { users?.map(user => <ParticipantCard key={user._id} user={user} selectedParticipants={selectedParticipants} addSelectedParticipant={addSelectedParticipant} />) }
      </div>
    </div> : <React.Fragment/>
  )
}