import React from "react";
import SvgCamera from "../../icons/Camera";
import SvgFileAlt from "../../icons/FileAlt";
import SvgImage from "../../icons/Image";

interface Props {
  setMenuVisible: (visible: boolean) => void,
  animClass: string
}

export const SendMediaMenu: React.FC<Props> = ({ setMenuVisible, animClass }) => {
  return (
    <div className={`chat__card_menu send__media_menu ${animClass}`}>
      <button className="chat__card_action spaced_icon__text" onClick={() => setMenuVisible(false)}>
        <span className="text">
          Camera
        </span>
        <SvgCamera />
      </button>
      <button className="chat__card_action spaced_icon__text" onClick={() => setMenuVisible(false)}>
        <span className="text">
          Photos &amp; Videos
        </span>
        <SvgImage />
      </button>
      <button className="chat__card_action spaced_icon__text">
        <span className="text">
          Document
        </span>
        <SvgFileAlt />
      </button>
    </div>
  )
}
