import React, {  } from "react";
import { User } from "../../utils/users-data";
import { UserCard } from "../UserCard/UserCard";


interface Props {
  letter: string,
  users: Array<User> | undefined
}

export const UsersByInitial: React.FC<Props> = ({ letter, users }) => {

  return (
    users?.length ? <div className={`users_initial`}>
      <button className="letter__header">
        {letter}
      </button>
      <div className="people__list">
        { users?.map(user => <UserCard key={user._id} user={user} />) }
      </div>
    </div> : <React.Fragment/>
  )
}