export interface SiteMetadata {
  title: string,
  description: string,
  image: string,
  site_name: string,
}

export interface MessageContent {
  "channel"?: string,
  "conversation_id"?: string,
  "is_attachment"?: boolean,
  "attachment"?: string,
  "localId"?: string,
  "local_id"?: string,
  "msg"?: string,
  "sender_name"?: string,
  "sender_token"?: string,
  "receiver_name"?: string,
  "receiver_token"?: string,
  "timestamp"?: string,
  "file_path"?: string
}

export interface MessageReaction {
  _id: string,
  conversation_id: string,
  fcm_key: string,
  message_id: string,
  reaction: string,
  sender_name: string,
  timestamp: string,
  user_token: string
}

export interface Message {
  "_id"?: string,
  "created_at"?: string,
  "updated_at"?: string,
  "timestamp"?: string,
  "owner_id"?: string,
  "owner_name"?: string,
  "owner_email"?: string,
  "channel"?: string,
  "content"?: MessageContent,
  "app_id"?: string,
  "app_name"?: string,
  "type"?: Number,
  "tokens"?: Array<string> | null,
  "title"?: string,
  "subtitle"?: string,
  "message"?: string | null,
  "platform"?: Number,
  "data"?: Array<string> | null,
  "image"?: string,
  "topic"?: string,
  "priority"?: string,
  "conversation_id"?: string,
  "notify"?: boolean,
  "receiver_id"?: string,
  "is_read"?: boolean,
  "support_id"?: string,
  "support_name"?: string,
  "sender_token"?: string,
  "sender_name"?: string,
  "has_attachment"?: boolean,
  "is_photo"?: boolean,
  "is_document"?: boolean,
  "file"?: string,
  "is_assigned"?: boolean,
  "is_deleted"?: boolean,
  "deleted_for"?: Array<string> | null,
  "is_reply"?: boolean,
  "reply_to"?: string,
  "is_forwarded"?: boolean,
  "reactions"?: Array<MessageReaction> | null,
  "is_moderated"?: boolean,
  "blocked_item_id"?: string,
  "link_meta_data"?: Array<SiteMetadata>
}
